## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _vpath_srcdir subprojects/extensions-app
%global source_name gnome-shell
%global tarball_version %%(echo %{version} | tr '~' '.')
%global major_version %%(cut -d "." -f 1 <<<%{tarball_version})

%global adwaita_version 1.5.0

Name:          gnome-extensions-app
Version:       47.2
Release:       %autorelease
Summary:       Manage GNOME Shell extensions

License:       GPL-2.0-or-later
URL:           https://gitlab.gnome.org/GNOME/%{source_name}
Source0:       https://download.gnome.org/sources/%{source_name}/%{major_version}/%{source_name}-%{tarball_version}.tar.xz

BuildRequires: gcc
BuildRequires: gettext
BuildRequires: meson
BuildRequires: git

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: gjs
BuildRequires: desktop-file-utils
BuildRequires: appstream

Requires:      gjs%{_isa}
Requires:      libadwaita%{_isa} >= %{adwaita_version}

%define exec_name gnome-extensions-app
%define bus_name org.gnome.Extensions

%description
GNOME Extensions is an application for configuring and removing
GNOME Shell extensions.


%prep
%setup -q -n %{source_name}-%{tarball_version}

%{_vpath_srcdir}/generate-translations.sh


%build
%meson
%meson_build

%check
%meson_test
desktop-file-validate %{buildroot}%{_datadir}/applications/%{bus_name}.desktop


%install
%meson_install

%find_lang %{name}

rm -rf %{buildroot}/%{_datadir}/%{name}/gir-1.0

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{exec_name}
%{_datadir}/applications/%{bus_name}.desktop
%{_datadir}/dbus-1/services/%{bus_name}.service
%{_datadir}/glib-2.0/schemas/%{bus_name}.gschema.xml
%{_datadir}/metainfo/%{bus_name}.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/%{bus_name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{bus_name}.Devel.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{bus_name}-symbolic.svg
%{_datadir}/%{name}/
%{_libdir}/%{name}/


%changelog
## START: Generated by rpmautospec
* Mon Nov 25 2024 Florian Müllner <fmuellner@redhat.com> - 47.2-1
- Update to 47.2

* Mon Oct 21 2024 Florian Müllner <fmuellner@redhat.com> - 47.0-2
- Replace libappstream-glib with appstream

* Sat Sep 14 2024 Florian Müllner <fmuellner@redhat.com> - 47.0-1
- Update to 47.0

* Sun Sep 01 2024 Florian Müllner <fmuellner@redhat.com> - 47~rc-1
- Update to 47.rc

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 46.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat May 25 2024 Florian Müllner <fmuellner@redhat.com> - 46.2-1
- Update to 46.2

* Mon Apr 22 2024 Florian Müllner <fmuellner@redhat.com> - 46.1-1
- Update to 46.1

* Thu Apr 11 2024 Florian Müllner <fmuellner@redhat.com> - 46.0-2
- Migrate to SPDX license

* Sat Mar 16 2024 Florian Müllner <fmuellner@redhat.com> - 46.0-1
- Update to 46.0

* Sun Mar 03 2024 Florian Müllner <fmuellner@redhat.com> - 46~rc-2
- Add schema to files list

* Sun Mar 03 2024 Florian Müllner <fmuellner@redhat.com> - 46~rc-1
- Update to 46.rc

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 46~alpha-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 46~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Florian Müllner <fmuellner@gnome.org> - 46~alpha-1
- Update to 46.alpha

* Sat Sep 16 2023 Florian Müllner <fmuellner@gnome.org> - 45.0-1
- Update to 45.0

* Tue Aug 08 2023 Florian Müllner <fmuellner@gnome.org> - 45~beta-1
- Update to 45.beta

* Tue Aug 08 2023 Florian Müllner <fmuellner@gnome.org> - 45~alpha-3
- Specify libadwaita version

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 45~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Florian Müllner <fmuellner@gnome.org> - 45~alpha-1
- Update to 45.alpha

* Thu Jul 06 2023 Florian Müllner <fmuellner@gnome.org> - 44.0-2
- Convert to rpm-autospec

* Mon Mar 20 2023 Florian Müllner <fmuellner@gnome.org> - 44.0-1
- Update to 44.0

* Wed Mar 08 2023 Florian Müllner <fmuellner@gnome.org> - 44~rc-1
- Update to 44.rc

* Tue Feb 14 2023 Florian Müllner <fmuellner@gnome.org> - 44~beta-1
- Update to 44.beta

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 43~beta-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Florian Müllner <fmuellner@gnome.org> - 43~beta-1
- Update to 43.beta

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 42.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 18 2022 Tomas Popela <tpopela@redhat.com> - 42.0-3
- Drop gschema that is not packaged anymore for Flatpaks

* Wed May 18 2022 Tomas Popela <tpopela@redhat.com> - 42.0-2
- Don't apply a non existing patch when building Flatpak

* Sun Mar 20 2022 Florian Müllner <fmuellner@gnome.org> - 42.0-1
- Update to 42.0

* Tue Feb 15 2022 Florian Müllner <fmuellner@gnome.org> - 42~beta-1
- Update to 42.beta

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 41~rc-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Florian Müllner <fmuellner@gnome.org> - 41~rc-1
- Update to 41.rc

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 40.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 28 2021 Kalev Lember <klember@redhat.com> - 40.0-2
- Use a slightly different pre-release tilde version handling

* Sun Mar 28 2021 Kalev Lember <klember@redhat.com> - 40.0-1
- Update to 40.0

* Mon Mar 15 2021 Florian Müllner <fmuellner@gnome.org> - 40.0~rc-1
- Update to 40.rc

* Thu Mar 11 2021 Florian Müllner <fmuellner@gnome.org> - 40.0~beta-1
- Update to 40.beta

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 15 2020 Florian Müllner <fmuellner@gnome.org> - 3.38.0-1
- Update to 3.38.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.37.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.37.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 07 2020 Florian Müllner <fmuellner@gnome.org> - 3.37.3-1
- Update to 3.37.3

* Wed Jun 03 2020 Florian Müllner <fmuellner@gnome.org> - 3.37.2-1
- Update to 3.37.2

* Thu Apr 30 2020 Florian Müllner <fmuellner@gnome.org> - 3.37.1-3
- Update .gitignore

* Thu Apr 30 2020 Florian Müllner <fmuellner@gnome.org> - 3.37.1-2
- Update sources

* Wed Apr 29 2020 Florian Müllner <fmuellner@gnome.org> - 3.37.1-1
- Update to 3.37.1

* Wed Apr 01 2020 Kalev Lember <klember@redhat.com> - 3.36.1-3
- Fix the build

* Wed Apr 01 2020 Florian Müllner <fmuellner@gnome.org> - 3.36.1-2
- Make flatpak build compatible with F31

* Tue Mar 31 2020 Florian Müllner <fmuellner@gnome.org> - 3.36.1-1
- Initial import (#1819072)
## END: Generated by rpmautospec
